package com.cyksj.model.entity;

import lombok.Getter;
import lombok.Setter;

/**
 * 项目名: yhlxj
 * 文件名: SpotifyUserUpgradeSubmitRecord
 * 创建者: JavaZou
 * 创建时间:2024/12/3 16:41
 */
@Getter
@Setter
public class SpotifyUserUpgradeSubmitRecord extends BaseEntity{
	private Long userId;

	private Long orderId;

	private Long relationId;

	private String account;

	private String password;

	private String email;

	private Status status;

	@Getter
	public enum Status{
		waiting("待处理"),
		fail("失败"),
		success("成功");
		String msg;

		Status(String msg) {
			this.msg = msg;
		}
	}
}
